ZZZ(8)

NAME
zzz, ZZZ - suspend or hibernate your computer

SYNOPSIS
zzz [-nSzZRH]
ZZZ [-nSzZRH]

DESCRIPTION
zzz is a simple script to suspend or hibernate your computer. It supports hooks before and after suspending.

-n  dry-run mode. Instead of performing an ACPI action, zzz will just sleep for a few seconds.

-S  Enter low-power idle mode (ACPI S0, kernel name "freeze").

-z  Enter suspend to RAM mode (ACPI S3, kernel name "mem"). This is the default for zzz.

-Z  Enter hibernate to disk mode (ACPI S4, kernel name "disk") and power off. This is the default for ZZZ.

-R  Enter hibernate to disk mode and reboot. This can be used to switch operating systems.

-H  Enter hibernate to disk mode and suspend. This is also know as suspend-hybrid.

FILES
Before suspending, zzz runs the executable files in /etc/zzz.d/suspend in alphanumeric order. After suspending, zzz runs the executable files in /etc/zzz.d/resume in alphanumeric order (not in reverse order!).

The environment variable ZZZ_MODE can be used in these hooks to differentiate between standby, suspend, and resume.

DIAGNOSTICS

suspend/hibernate not supported
    The hardware does not support ACPI S3/S4 with this kernel.

sleep permission denied
    You lack sufficent privilege to write to /sys/power/state.

another instance of zzz is running
    zzz locks /sys/power during operation. Perhaps a hook is stuck?

Zzzz... yawn.
    The system has woken up again. Everything is fine. You feel refreshed.

SEE ALSO
pm-action(8), s2disk(8), s2ram(8), OpenBSD's apm(8)

HISTORY
A similar apm command appeared in NetBSD 1.3 and OpenBSD 1.2.

AUTHOR
Christian Neukirchen, chneukirchen@gmail.com.

LICENSE
zzz is in the public domain.